<script setup lang="ts">
import {computed} from 'vue';
import {useRoute} from 'vue-router';


const route = useRoute()
const layout = computed(() => {
  console.log(`${route.meta.layout || 'default'}-layout`, `${route.meta.layout}`);
  return `${route.meta.layout || 'default'}-layout`;
});
</script>

<template>
  <Component :is="layout">
    <RouterView/>
  </Component>
</template>
